Subject: Re: [icnrg] draft-hur-icnrg-abstracted-network-api-01.txt

From: 허신영 <[email-masked]>
Date: Wed, 29 Oct 2014 08:03:41 +0000

Hello,

I would like to get comments about abstracted network API.
URL: http://www.ietf.org/internet-drafts/draft-hur-icnrg-abstracted-network-api-01.txt
The draft is to redesign the network API in a way that decouples application-specific functions from network specific functions.
We also addressed the network API modeling issues.
Any comments is welcomed.

Thanks,
Cinyoung Hur

________________________________
보낸 사람 : "허신영" <[email-masked]>
보낸 날짜 : 2014-10-29 13:21:00 ( +09:00 )
받는 사람 : [email-masked] <[email-masked]>
참조 :
제목 : FW: New Version Notification for draft-hur-icnrg-abstracted-network-api-01.txt

-----Original Message-----
From: [email-masked] [mailto:[email-masked]]
Sent: Tuesday, October 28, 2014 8:50 AM
To: 허신영; 정희영; 김정환; Woo-Jik Chun; Subject: New Version Notification for draft-hur-icnrg-abstracted-network-api-01.txt

A new version of I-D, draft-hur-icnrg-abstracted-network-api-01.txt
has been successfully submitted by Cinyoung Hur and posted to the IETF repository.

Name: draft-hur-icnrg-abstracted-network-api
Revision: 01
Title: Abstracted Network API for ICN
Document date: 2014-10-28
Group: Individual Submission
Pages: 10
URL: http://www.ietf.org/internet-drafts/draft-hur-icnrg-abstracted-network-api-01.txt
Status: https://datatracker.ietf.org/doc/draft-hur-icnrg-abstracted-network-api/
Htmlized: http://tools.ietf.org/html/draft-hur-icnrg-abstracted-network-api-01
Diff: http://www.ietf.org/rfcdiff?url2=draft-hur-icnrg-abstracted-network-api-01

Abstract:
draft-hur-icnrg-abstracted-network-api-00.txt

In information-centric networking (ICN), well designed API will play a pivotal role in adopting ICN to applications. Traditional network API – i.e., current Socket implementation - is coupled between applications and underlying protocols, so it is hard to change one without changing the other, thus it could be solved by redesigning the network API in a way that decouples application-specific functions from network specific functions. In this draft, we addressed the network API modeling issues which can be also applied to the design of ICN APIs and proposed iPlug and dSocket API which help injection of applications’ intent and hide underlying network specific mechanisms, respectively.

This is revision 00 draft, but I make a mistake to add authors in revision 00.

Please note that it may take a couple of minutes from the time of submission until the htmlized version and diff are available at tools.ietf.org.

The IETF Secretariat